﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
      <TargetFrameworks>netstandard2.0;net6.0;net8.0</TargetFrameworks>
    <AssemblyName>Tecan.Sila2.Grpc</AssemblyName>
    <RootNamespace>Tecan.Sila2.Grpc</RootNamespace>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <OutputPath>..\Build\</OutputPath>
    <DocumentationFile>..\Build\Tecan.Sila2.Grpc.xml</DocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\Build\</OutputPath>
    <DocumentationFile>..\Build\Tecan.Sila2.Grpc.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Include="..\CommonAssemblyInfo.cs" Link="Properties\CommonAssemblyInfo.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Grpc.Core" Version="2.46.6" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Contracts\Contracts.csproj" />
    <ProjectReference Include="..\Framework\Framework.csproj" />
  </ItemGroup>

</Project>
